#
# spec file for package fatsort
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fatsort
Version:        1.3.365
Release:        2.5
Summary:        FAT Filesystem Sorting Utility
License:        GPL-2.0+
Group:          System/Filesystems
Url:            http://fatsort.sourceforge.net
Source0:        https://sourceforge.net/projects/fatsort/files/fatsort-%{version}.tar.gz
BuildRequires:  help2man
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
FATsort sorts directory structures of FAT filesystems. Many MP3 hardware
players don't sort files automatically but play them in the order they were
transmitted to the device. FATSort can help here.

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
install -D -m 0755 -p src/%{name}   %{buildroot}%{_sbindir}/%{name}
install -D -m 0644 -p man/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE.txt README
%{_sbindir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Sun May 29 2016 mpluskal@suse.com
- Cleanup package
- Update to version 1.3.365
* Tue Apr  8 2014 marec@detebe.org
- updated to version 1.3
* Tue Dec 10 2013 marec@detebe.org
- updated to version 1.2
* Tue Jun 11 2013 marec@detebe.org
- updated to version 1.1.1
* Fri May 24 2013 marec@detebe.org
- updated to version 1.1
* Mon May 20 2013 marec@detebe.org
- updated to version 1.0.1
* Mon Apr 15 2013 marec@detebe.org
- initial package build
